Package com.microblink.blinkid.entities.recognizers.templating.dewarpPolicies

# Class FixedDewarpPolicy

java.lang.Object
com.microblink.blinkid.entities.recognizers.templating.DewarpPolicy
com.microblink.blinkid.entities.recognizers.templating.dewarpPolicies.FixedDewarpPolicy

public final class FixedDewarpPolicy extends DewarpPolicy
Fixed dewarp policy. Dewarp height will be exactly as defined by its dewarpHeight. This policy is usually best for processor groups that use legacy BlinkOCR.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_DEWARP_HEIGHT`
  Default dewarp height value used when using default constructor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedDewarpPolicy()`
  `FixedDewarpPolicy(int dewarpHeight)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDewarpHeight()`
  Returns the desired dewarp height (in pixels) as specified by this policy.
  `protected void`
  `setNativePolicy(long nativeProcessorContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_DEWARP_HEIGHT

    public static final int DEFAULT_DEWARP_HEIGHT
    Default dewarp height value used when using default constructor.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FixedDewarpPolicy

    public FixedDewarpPolicy()

  - ### FixedDewarpPolicy

    public FixedDewarpPolicy(@IntRange(from=1L,to=65535L) int dewarpHeight)
    Parameters:
      `dewarpHeight` - Desired dewarp height in pixels. Note that if device does not support given dewarp height, the max supported by the device will be used.

- ## Method Details

  - ### setNativePolicy

    protected void setNativePolicy(long nativeProcessorContext)
    Specified by:
      `setNativePolicy` in class `DewarpPolicy`

  - ### getDewarpHeight

    public int getDewarpHeight()
    Returns the desired dewarp height (in pixels) as specified by this policy.
    Returns:
      the desired dewarp height